{
    "$graph": [
        {
            "label": "gc_get_assembly",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "baseCommand": "gc_get_assembly",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-mode"
                    },
                    "id": "#gc_get_assembly.cwl/mode"
                },
                {
                    "type": "File",
                    "default": "gencoll.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#gc_get_assembly.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-release_id"
                    },
                    "id": "#gc_get_assembly.cwl/release_id"
                }
            ],
            "id": "#gc_get_assembly.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#gc_get_assembly.cwl/gencoll_asn"
                }
            ]
        },
        {
            "label": "gcaccess_from_list",
            "class": "Workflow",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/gc_id_list"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/gc_get_assembly/gencoll_asn",
                    "id": "#main/gencoll_asn"
                }
            ],
            "steps": [
                {
                    "run": "#gc_get_assembly.cwl",
                    "in": [
                        {
                            "default": "AllSequences",
                            "id": "#main/gc_get_assembly/mode"
                        },
                        {
                            "source": "#main/gc_id_list",
                            "id": "#main/gc_get_assembly/release_id"
                        }
                    ],
                    "out": [
                        "#main/gc_get_assembly/gencoll_asn"
                    ],
                    "id": "#main/gc_get_assembly"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
